## libterralib 4.3.0+dfsg.2

=== examples/Makefile ===
all: release

debug: tlib_dbg build_dbg

tlib_dbg:
	cd ../build/qt; qmake utilities.pro TEDRIVERS="HAS_MYSQL HAS_SHP" MAKEFILE=Makefile.Debug TE_PROJECT_TYPE=DEBUG; make -f Makefile.Debug;
	
build_dbg:
	qmake MAKEFILE=Makefile.Debug TE_PROJECT_TYPE=DEBUG; make -f Makefile.Debug

=== build/qt/Makefile ===
all: release

debug: install_deps_dbg qmake_dbg build_dbg

release: install_deps qmake build


#Debug config
#----------------
install_deps_dbg:
	mkdir -p ../../Debug/linux-g++
	cd ../../Debug/linux-g++; rm -f libclntsh.so; ln -s ../../dependencies/linux/Oracle/lib/libclntsh.so.10.1 libclntsh.so
	cd ../../Debug/linux-g++; rm -f libclntsh.so.10.1; ln -s ../../dependencies/linux/Oracle/lib/libclntsh.so.10.1 libclntsh.so.10.1
	cd ../../Debug/linux-g++; rm -f libnnz10.so; ln -s ../../dependencies/linux/Oracle/lib/libnnz10.so libnnz10.so
	cd ../../Debug/linux-g++; rm -f libpq.a; ln -s ../../dependencies/linux/PostgreSQL/lib/libpq.a libpq.a
	cd ../../Debug/linux-g++; rm -f libmysqlclient.a; ln -s ../../dependencies/linux/MySQL/lib/libmysqlclient.a libmysqlclient.a
	cd ../../Debug/linux-g++; rm -f libGL.so; ln -s ../../dependencies/linux/opengl/lib/libGL.so libGL.so
	cd ../../Debug/linux-g++; rm -f libGL.so.1; ln -s ../../dependencies/linux/opengl/lib/libGL.so libGL.so.1
	cd ../../Debug/linux-g++; rm -f libGLU.so; ln -s ../../dependencies/linux/opengl/lib/libGLU.so libGLU.so
	cd ../../Debug/linux-g++; rm -f libGLU.so.1; ln -s ../../dependencies/linux/opengl/lib/libGLU.so libGLU.so.1
	cd ../../Debug/linux-g++; rm -f libdrm.so; ln -s ../../dependencies/linux/opengl/lib/libdrm.so libdrm.so
	cd ../../Debug/linux-g++; rm -f libdrm.so.2; ln -s ../../dependencies/linux/opengl/lib/libdrm.so libdrm.so.2
	cd ../../Debug/linux-g++; rm -f libfbembed.so; ln -s ../../dependencies/linux/Firebird/lib/libfbembed.so libfbembed.so
	cd ../../Debug/linux-g++; rm -f libfbembed.so.2; ln -s ../../dependencies/linux/Firebird/lib/libfbembed.so libfbembed.so.2
	cd ../../Debug/linux-g++; rm -f libfbembed.so.2.0.3; ln -s ../../dependencies/linux/Firebird/lib/libfbembed.so libfbembed.so.2.0.3
	cd ../../Debug/linux-g++; rm -f libicudata.so; ln -s ../../dependencies/linux/Firebird/lib/libicudata.so.30 libicudata.so
	cd ../../Debug/linux-g++; rm -f libicudata.so.30; ln -s ../../dependencies/linux/Firebird/lib/libicudata.so.30 libicudata.so.30
	cd ../../Debug/linux-g++; rm -f libicudata.so.30.0; ln -s ../../dependencies/linux/Firebird/lib/libicudata.so.30 libicudata.so.30.0
	cd ../../Debug/linux-g++; rm -f libicui18n.so.30; ln -s ../../dependencies/linux/Firebird/lib/libicui18n.so.30 libicui18n.so.30
	cd ../../Debug/linux-g++; rm -f libicui18n.so; ln -s ../../dependencies/linux/Firebird/lib/libicui18n.so.30 libicui18n.so
	cd ../../Debug/linux-g++; rm -f libicui18n.so.30.0; ln -s ../../dependencies/linux/Firebird/lib/libicui18n.so.30 libicui18n.so.30.0
	cd ../../Debug/linux-g++; rm -f libicuuc.so; ln -s ../../dependencies/linux/Firebird/lib/libicuuc.so.30 libicuuc.so
	cd ../../Debug/linux-g++; rm -f libicuuc.so.30; ln -s ../../dependencies/linux/Firebird/lib/libicuuc.so.30 libicuuc.so.30
	cd ../../Debug/linux-g++; rm -f libicuuc.so.30.0; ln -s ../../dependencies/linux/Firebird/lib/libicuuc.so.30 libicuuc.so.30.0

qmake_dbg:
	qmake terraView.pro MAKEFILE=Makefile.Debug TE_PROJECT_TYPE=DEBUG TEDRIVERS=ALLDRIVERS
	
build_dbg:
	make -f Makefile.Debug && make -f Makefile.Debug install
	
clean_debug:
	make -f Makefile.Debug distclean; rm -rf ../../../Debug

#Release config
#---------------
install_deps:
	mkdir -p ../../Release/linux-g++
	cd ../../Release/linux-g++; rm -f libclntsh.so; ln -s ../../dependencies/linux/Oracle/lib/libclntsh.so.10.1 libclntsh.so
	cd ../../Release/linux-g++; rm -f libclntsh.so.10.1; ln -s ../../dependencies/linux/Oracle/lib/libclntsh.so.10.1 libclntsh.so.10.1
	cd ../../Release/linux-g++; rm -f libnnz10.so; ln -s ../../dependencies/linux/Oracle/lib/libnnz10.so libnnz10.so
	cd ../../Release/linux-g++; rm -f libpq.a; ln -s ../../dependencies/linux/PostgreSQL/lib/libpq.a libpq.a
	cd ../../Release/linux-g++; rm -f libmysqlclient.a; ln -s ../../dependencies/linux/MySQL/lib/libmysqlclient.a libmysqlclient.a
	cd ../../Release/linux-g++; rm -f libGL.so; ln -s ../../dependencies/linux/opengl/lib/libGL.so libGL.so
	cd ../../Release/linux-g++; rm -f libGL.so.1; ln -s ../../dependencies/linux/opengl/lib/libGL.so libGL.so.1
	cd ../../Release/linux-g++; rm -f libGLU.so; ln -s ../../dependencies/linux/opengl/lib/libGLU.so libGLU.so
	cd ../../Release/linux-g++; rm -f libGLU.so.1; ln -s ../../dependencies/linux/opengl/lib/libGLU.so libGLU.so.1
	cd ../../Release/linux-g++; rm -f libdrm.so; ln -s ../../dependencies/linux/opengl/lib/libdrm.so libdrm.so
	cd ../../Release/linux-g++; rm -f libdrm.so.2; ln -s ../../dependencies/linux/opengl/lib/libdrm.so libdrm.so.2
	cd ../../Release/linux-g++; rm -f libfbembed.so; ln -s ../../dependencies/linux/Firebird/lib/libfbembed.so libfbembed.so
	cd ../../Release/linux-g++; rm -f libfbembed.so.2; ln -s ../../dependencies/linux/Firebird/lib/libfbembed.so libfbembed.so.2
	cd ../../Release/linux-g++; rm -f libfbembed.so.2.0.3; ln -s ../../dependencies/linux/Firebird/lib/libfbembed.so libfbembed.so.2.0.3
	cd ../../Release/linux-g++; rm -f libicudata.so; ln -s ../../dependencies/linux/Firebird/lib/libicudata.so.30 libicudata.so
	cd ../../Release/linux-g++; rm -f libicudata.so.30; ln -s ../../dependencies/linux/Firebird/lib/libicudata.so.30 libicudata.so.30
	cd ../../Release/linux-g++; rm -f libicudata.so.30.0; ln -s ../../dependencies/linux/Firebird/lib/libicudata.so.30 libicudata.so.30.0
	cd ../../Release/linux-g++; rm -f libicui18n.so; ln -s ../../dependencies/linux/Firebird/lib/libicui18n.so.30 libicui18n.so
	cd ../../Release/linux-g++; rm -f libicui18n.so.30; ln -s ../../dependencies/linux/Firebird/lib/libicui18n.so.30 libicui18n.so.30
	cd ../../Release/linux-g++; rm -f libicui18n.so.30.0; ln -s ../../dependencies/linux/Firebird/lib/libicui18n.so.30 libicui18n.so.30.0
	cd ../../Release/linux-g++; rm -f libicuuc.so; ln -s ../../dependencies/linux/Firebird/lib/libicuuc.so.30 libicuuc.so
	cd ../../Release/linux-g++; rm -f libicuuc.so.30; ln -s ../../dependencies/linux/Firebird/lib/libicuuc.so.30 libicuuc.so.30
	cd ../../Release/linux-g++; rm -f libicuuc.so.30.0; ln -s ../../dependencies/linux/Firebird/lib/libicuuc.so.30 libicuuc.so.30.0

qmake:
	qmake terraView.pro MAKEFILE=Makefile.Release TEDRIVERS=ALLDRIVERS
	
build:
	make -f Makefile.Release && make -f Makefile.Release install
	
clean:
	make -f Makefile.Release distclean; rm -rf ../../Release

=== examples/addGeomRepresentation/Makefile ===
all: addGeomRepresentation

debug: addGeomRepresentation_dbg

terralib:
	cd ../../terralibx/terralib; make

terralib_dbg:
	cd ../../terralibx/terralib; make debug
	
addGeomRepresentation: terralib
	qmake -o makeAddGeomRepresentation addGeomRepresentation.pro; make -f makeAddGeomRepresentation

addGeomRepresentation_dbg: terralib_dbg
	qmake -o makeAddGeomRepresentation.debug addGeomRepresentation.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeAddGeomRepresentation.debug

clean:
	if \
		test -f makeAddGeomRepresentation; \
	then \
		make -f makeAddGeomRepresentation distclean; rm -f makeAddGeomRepresentation; \
	fi
	
clean_debug:
	if \
		test -f makeAddGeomRepresentation.debug; \
	then \
		make -f makeAddGeomRepresentation.debug distclean; rm -f makeAddGeomRepresentation.debug; \
	fi

=== examples/convertCoordinates/Makefile ===
all: convertCoordinates

debug: convertCoordinates_dbg

terralib:
	cd ../../terralibx/terralib; make
	
terralib_dbg:
	cd ../../terralibx/terralib; make debug

convertCoordinates: terralib
	qmake -o makeConvertCoordinates convertCoordinates.pro; \
	make -f makeConvertCoordinates

convertCoordinates_dbg: terralib_dbg
	qmake -o makeConvertCoordinates.debug convertCoordinates.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeConvertCoordinates.debug

clean:
	if \
		test -f makeConvertCoordinates; \
	then \
		make -f makeConvertCoordinates distclean; rm -f makeConvertCoordinates; \
	fi
	
	clean_debug:
	if \
		test -f makeConvertCoordinates.debug; \
	then \
		make -f makeConvertCoordinates.debug distclean; rm -f makeConvertCoordinates.debug; \
	fi

=== examples/createSTElementSet/Makefile ===
all: createSTElementSet

debug: createSTElementSet_dbg

terralib:
	cd ../../terralibx/terralib; make

terralib_dbg:
	cd ../../terralibx/terralib; make debug

createSTElementSet: terralib
	qmake -o makeCreateSTElementSet createSTElementSet.pro; make -f makeCreateSTElementSet

createSTElementSet_dbg: terralib_dbg
	qmake -o makeCreateSTElementSet.debug createSTElementSet.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeCreateSTElementSet.debug

clean:
	if \
		test -f makeCreateSTElementSet; \
	then \
		make -f makeCreateSTElementSet distclean; rm -f makeCreateSTElementSet; \
	fi
	
clean_debug:
	if \
		test -f makeCreateSTElementSet.debug; \
	then \
		make -f makeCreateSTElementSet.debug distclean; rm -f makeCreateSTElementSet.debug; \
	fi

=== examples/createSTElementSetFromLayer/Makefile ===
all: createSTElementSetFromLayer

debug: createSTElementSetFromLayer_dbg

terralib:
	cd ../../terralibx/terralib; make

terralib_dbg:
	cd ../../terralibx/terralib; make debug

createSTElementSetFromLayer: terralib
	qmake -o makeCreateSTElementSetFromLayer createSTElementSetFromLayer.pro; make -f makeCreateSTElementSetFromLayer

createSTElementSetFromLayer_dbg: terralib_dbg
	qmake -o makeCreateSTElementSetFromLayer.debug createSTElementSetFromLayer.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeCreateSTElementSetFromLayer.debug

clean:
	if \
		test -f makeCreateSTElementSetFromLayer; \
	then \
		make -f makeCreateSTElementSetFromLayer distclean; rm -f makeCreateSTElementSetFromLayer; \
	fi
	
clean_debug:
	if \
		test -f makeCreateSTElementSetFromLayer.debug; \
	then \
		make -f makeCreateSTElementSetFromLayer.debug distclean; rm -f makeCreateSTElementSetFromLayer.debug; \
	fi

=== examples/createSTElementSetFromShapeFile/Makefile ===
all: createSTElementSetFromShapeFile

shapelib:
	cd ../../terralibx/shapelib; make

terralib:
	cd ../../terralibx/terralib; make

createSTElementSetFromShapeFile: shapelib terralib
	qmake -o makeCreateSTElementSetFromShapeFile createSTElementSetFromShapeFile.pro; make -f makeCreateSTElementSetFromShapeFile

clean:
	if \
		test -f makeCreateSTElementSetFromShapeFile; \
	then \
		make -f makeCreateSTElementSetFromShapeFile distclean; rm -f makeCreateSTElementSetFromShapeFile; \
	fi

=== examples/createSTElementSetFromTheme/Makefile ===
all: createSTElementSetFromTheme

terralib:
	cd ../../terralibx/terralib; make

createSTElementSetFromTheme: terralib
	qmake -o makeCreateSTElementSetFromTheme createSTElementSetFromTheme.pro; make -f makeCreateSTElementSetFromTheme

clean:
	if \
		test -f makeCreateSTElementSetFromTheme; \
	then \
		make -f makeCreateSTElementSetFromTheme distclean; rm -f makeCreateSTElementSetFromTheme; \
	fi

=== examples/createTIN/Makefile ===
all: createTIN

terralib:
	cd ../../terralibx/terralib; make

convertCoordinates: terralib
	qmake -o createTIN createTIN.pro; make -f createTIN

clean:
	if \
		test -f createTIN; \
	then \
		make -f createTIN distclean; rm -f createTIN; \
	fi

=== examples/importDBF/Makefile ===
all: importDBF

debug: importDBF_dbg

shapelib:
	cd ../../terralibx/shapelib; make
	
shapelib_dbg:
	cd ../../terralibx/shapelib; make debug

terralib:
	cd ../../terralibx/terralib; make
	
terralib_dbg:
	cd ../../terralibx/terralib; make debug

importDBF: shapelib terralib 
	qmake -o makeImportDBF importDBF.pro; make -f makeImportDBF

importDBF_dbg: shapelib_dbg terralib_dbg 
	qmake -o makeImportDBF.debug importDBF.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeImportDBF.debug


clean:
	if \
		test -f makeImportDBF; \
	then \
		make -f makeImportDBF distclean; rm -f makeImportDBF; \
	fi
	
clean_debug:
	if \
		test -f makeImportDBF.debug; \
	then \
		make -f makeImportDBF.debug distclean; rm -f makeImportDBF.debug; \
	fi

=== examples/importJPEG/Makefile ===
all: importJPEG

debug: importJPEG_dbg

terralib:
	cd ../../terralibx/terralib; make

terralib_dbg:
	cd ../../terralibx/terralib; make debug

importJPEG: terralib
	qmake -o makeImportJPEG importJPEG.pro; make -f makeImportJPEG

importJPEG_dbg: terralib_dbg
	qmake -o makeImportJPEG.debug importJPEG.pro TE_PROJECT_TYPE=DEBUG; \
	make -f makeImportJPEG.debug

clean:
	if \
		test -f makeImportJPEG; \
	then \
		make -f makeImportJPEG distclean; rm -f makeImportJPEG; \
	fi
	
clean_debug:
	if \
		test -f makeImportJPEG.debug; \
	then \
		make -f makeImportJPEG.debug distclean; rm -f makeImportJPEG.debug; \
	fi

=== examples/querierGroupChronon/Makefile ===
all: querierGroupChronon

terralib:
	cd ../../terralibx/terralib; make


querierGroupChronon: terralib 
	qmake -o makeQuerierGroupChronon querierGroupChronon.pro; make -f makeQuerierGroupChronon

clean:
	if \
		test -f makeQuerierGroupChronon; \
	then \
		make -f makeQuerierGroupChronon distclean; rm -f makeQuerierGroupChronon; \
	fi

=== debian/changelog ===
libterralib (4.3.0+dfsg.2-4build2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:44:05 +0000

libterralib (4.3.0+dfsg.2-4build1) xenial; urgency=medium

  * No-change rebuild for dxflib transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 08:10:28 +0000

=== debian/control ===
Source: libterralib
Maintainer: Debian GIS Team <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
           Alastair McKinstry <mckinstry@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               libgeotiff-dev,
               libjpeg-dev,
               libtiff-dev,
               qt5-qmake,
               qtbase5-dev,
               zlib1g-dev,
               libqwt-dev,
               libshp-dev,
   	       libdxflib-dev,
               libmysqlclient-dev,
               libpq-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/libterralib.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/libterralib.git
Homepage: http://www.terralib.org/

Package: libterralib-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libterralib3 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libterralib-doc
Conflicts: libterralib1-dev,
           libterralib3-dev
Replaces: libterralib3-dev
Description: C++ library for Geographical Information Systems -- development package
 TerraLib enables quick development of custom-built geographical applications
 using spatial databases. As a research tool, TerraLib  is aimed at providing a
 rich and powerful environment for the development of GIS research,
 enabling the development of GIS prototypes that include new concepts such as
 spatio-temporal data models, geographical ontologies and advanced spatial
 analysis techniques. TerraLib defines a geographical data model and provides
 support for this model over a range of different DBMS (MySQL, PostgreSQL,
 ORACLE and ACCESS), and is implemented as a library of C++ classes and
 functions, written in ANSI-C++.
 .
 This package contains development files for terralib.

Package: libterralib3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libterralib-doc
Conflicts: libterralib1c2a,
Replaces: libterralib1c2a,
          libterralib (<< 4.3.0+dfsg.1-3~)
Breaks: libterralib (<< 4.3.0+dfsg.1-3~)
Description: C++ library for Geographical Information Systems
 TerraLib enables quick development of custom-built geographical applications
 using spatial databases. As a research tool, TerraLib  is aimed at providing a
 rich and powerful environment for the development of GIS research,
 enabling the development of GIS prototypes that include new concepts such as
 spatio-temporal data models, geographical ontologies and advanced spatial
 analysis techniques. TerraLib defines a geographical data model and provides
 support for this model over a range of different DBMS (MySQL, PostgreSQL,
 ORACLE and ACCESS), and is implemented as a library of C++ classes and
 functions,  written in ANSI-C++.

Package: libterralib-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libterralib3
Replaces: libterralib3-doc
Description: C++ library for Geographical Information Systems -- documentation package
 TerraLib enables quick development of custom-built geographical applications
 using spatial databases. As a research tool, TerraLib  is aimed at providing a
 rich and powerful environment for the development of GIS research,
 enabling the development of GIS prototypes that include new concepts such as
 spatio-temporal data models, geographical ontologies and advanced spatial
 analysis techniques. TerraLib defines a geographical data model and provides
 support for this model over a range of different DBMS (MySQL, PostgreSQL,
 ORACLE and ACCESS), and is implemented as a library of C++ classes and
 functions, written in ANSI-C++.
 .
 This package contains examples for the terralib library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# The magic debhelper rule
%:
	dh $@

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export QT_SELECT=5

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
AUTOGENERATED:= libterralib-dev.links libterralib3.install libterralib-dev.install libterralib.pc 

# To enable all, uncomment following line
DEB_BUILD_MAINT_OPTIONS:= hardening=+all
DEB_CFLAGS_MAINT_APPEND:= -Wall -pedantic
export DEB_BUILD_MAINT_OPTIONS
export DEB_CFLAGS_MAINT_APPEND
CXXFLAGS:= $(shell dpkg-buildflags --get CXXFLAGS)
CXXFLAGS:= '$(CXXFLAGS) -fpermissive -I/usr/include/geotiff -I/usr/include/dxflib -I/usr/incluce/qwt'

override_dh_auto_build:
	find examples -type f -exec chmod 644 {} \;
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done
	for d in terralib te_functions te_utils image_processing PostgreSQL MySQL shapelib stat te_dxf te_shapelib   ; do \
		( cd build/qt4/$$d  && qmake QMAKE_CXXFLAGS=$(CXXFLAGS) $$d.pro     && $(MAKE) ) ; \
		done
	for d in terralib te_functions te_utils terralibpdi shapelib te_shapelib te_mysql te_postgresql te_dxf stat ; do \
		ar rcs Release/lib$$d.a Release/linux-g++/obj/$$d/*.o ;\
		done

override_dh_clean:
	dh_clean
	rm -rf Release
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
	find . -name '.cvsignore' -delete
	for d in terralib te_functions te_utils image_processing PostgreSQL MySQL shapelib stat te_dxf te_shapelib  ; do \
		( $(MAKE) -C build/qt4/$$d distclean || echo "$$d already clean" ) ; \
		done
